arm arch not support #112

Open
iamluodong opened this Issue Aug 10, 2016 · 2 comments

Projects

None yet

2 participants

@iamluodong

I test on ubuntu14.04

main.js

console.log("test");
enclose -a armv6 main.js
/usr/lib/node_modules/enclose/bin/enclose-v4.4.7-linux-armv6-1bf3b15: 1: /usr/lib/node_modules/enclose/bin/enclose-v4.4.7-linux-armv6-1bf3b15: Syntax error: word unexpected (expecting ")")
enclose -a armv7 main.js
/usr/lib/node_modules/enclose/bin/enclose-v4.4.7-linux-armv7-c225585: 1: /usr/lib/node_modules/enclose/bin/enclose-v4.4.7-linux-armv7-c225585: Syntax error: word unexpected (expecting ")")

I use enclode main.js ,Can generate main execute file.

npm install -g enclose ,The ARM bin file cant't download(enclose-v4.4.7-linux-armv7-c225585 and enclose-v4.4.7-linux-armv6-1bf3b15) I manually download the two files

@serkanp
serkanp commented Aug 15, 2016

you have to compile it with arm7 device..(ex:physical raspberrypi or virtual armv6 os)
you cannot compile it in ubuntu 14 x86 or x64 pc..

@iamluodong

Yes,you are right. the armxxxx need run on ARM device.

ARM bin can't run on android device.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment